Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.commons.configuration
Class CombinedConfiguration.ConfigData

    java.lang.Object
      org.apache.commons.configuration.CombinedConfiguration.ConfigData

Enclosing class:
  CombinedConfiguration

    static class CombinedConfiguration.ConfigData

extends Object

An internal helper class for storing information about contained configurations.

Constructor Summary
`CombinedConfiguration.ConfigData(AbstractConfiguration config, String n, String at)` Creates a new instance of `ConfigData` and initializes it.

Method Summary
`String` | `getAt()` Returns the at position of this configuration.
`AbstractConfiguration` | `getConfiguration()` Returns the stored configuration.
`String` | `getName()` Returns the configuration's name.
`ConfigurationNode` | `getTransformedRoot()` Returns the transformed root node of the stored configuration.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### CombinedConfiguration.ConfigData

    public CombinedConfiguration.ConfigData(AbstractConfiguration config,
                                            String n,
                                            String at)

  Creates a new instance of `ConfigData` and initializes it.

  Parameters:
    `config` - the configuration
    `n` - the name
    `at` - the at position

Method Detail

### getConfiguration

    public AbstractConfiguration getConfiguration()

  Returns the stored configuration.

  Returns:
    the configuration

### getName

    public String getName()

  Returns the configuration's name.

  Returns:
    the name

### getAt

    public String getAt()

  Returns the at position of this configuration.

  Returns:
    the at position

### getTransformedRoot

    public ConfigurationNode getTransformedRoot()

  Returns the transformed root node of the stored configuration. The term "transformed" means that an eventually defined at path has been applied.

  Returns:
    the transformed root node

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2006 The Apache Software Foundation. All Rights Reserved.